import webbrowser

import wx
import gui
import globalVars
import globalPluginHandler
import addonHandler
from synthDrivers import ChimegeSonur

addonHandler.initTranslation()


class GlobalPlugin(globalPluginHandler.GlobalPlugin):

    def __init__(self):
        super(GlobalPlugin, self).__init__()
        if globalVars.appArgs.secure:
            return
        if not ChimegeSonur.SynthDriver.check():
            wx.CallLater(2000, self.onNoVoicesInstalled)

    def onNoVoicesInstalled(self):
        # Translators: title of the message box for the user
        title = _("ChimegeSonur Warning")
        message = _(
            "To use ChimegeSonur, at least one Chimege voice add-on must be installed in your NVDA copy!"
        )
        style = wx.OK | wx.ICON_WARNING  # wx.YES | wx.NO | wx.ICON_WARNING
        gui.messageBox(message, title, style)
        # if gui.messageBox(message.format(url=voices_url), title, style) == wx.YES:
        #    webbrowser.open(voices_url)
